| Kea 3.0.2-git

rotating_file.h File Reference

Defines the class, RotatingFile, which implements an appending text file that rotates to a new file on a daily basis. More...

`#include <dhcpsrv/legal_log_mgr_factory.h>`
`#include <mutex>`
Include dependency graph for rotating_file.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::legal_log::RotatingFile
| RotatingFile implements an appending text file which rotates to a new file on a daily basis. More...
struct | isc::legal_log::RotatingFileInit
| Initialization structure used to register and deregister RotateFile Forensic Log Mgr. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::legal_log

## Detailed Description

Defines the class, RotatingFile, which implements an appending text file that rotates to a new file on a daily basis.

Definition in file rotating_file.h.